Bug 243250 - Invalid network mask input in the manual TCP/IP configuration dialog of the loader
Summary: Invalid network mask input in the manual TCP/IP configuration dialog of the l...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-08 09:54 UTC by Kaloyan Tenchov
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 19:28:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message when network mask and not prefix is entered (5.03 KB, image/png)
2007-06-08 09:54 UTC, Kaloyan Tenchov
no flags Details

Description Kaloyan Tenchov 2007-06-08 09:54:44 UTC
Description of problem:
The message at the top of the "Manual TCP/IP Configuration" dialog in the 
Anaconda loader states that both "dotted-quad netmask or the CIDR-style prefix 
are acceptable". Never the less, when a network mask is specified in the field, 
when leaving it an "Invalid Prefix" error message appears, stating that "prefix 
must be between 1 and 32 for IPv4 networks". The network mask is used without 
problems though.

Version-Release number of selected component (if applicable):
11.2.0.66

How reproducible:
Always

Steps to Reproduce:
1. Get to the "Manual TCP/IP Configuration" dialog.
2. Enter network mask (not prefix) in the mask/prefix field
3. Leave the field by pressing tab.
  
Actual results:
The network mask is used without problems but the error message states that it 
is not a valid input.

Expected results:
Both network prefix and mask should be valid input.

Additional info:
Traced the problem to line 96 in loader2/net.c

When a network mask is specified with the kernel command line 
parameter "netmask" it is used as a default value in the "Manual TCP/IP 
Configuartion" dialog. When a prefix/CIDR is specified it is not used as a 
default value. This is expected but inconveniet behaviour.

Comment 1 Kaloyan Tenchov 2007-06-08 09:54:45 UTC
Created attachment 156560 [details]
Error message when network mask and not prefix is entered

Comment 2 David Cantrell 2007-08-22 19:28:43 UTC
Fixed in rawhide.  Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.